EPPStatus (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0503.rtk.xml.EPPStatus class

### com.tucows.oxrs.epp0503.rtk.xml

# Class EPPStatus

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0503.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0503.rtk.xml.EPPStatus`

Implemented Interfaces:
  epp_Action, epp_ActionOperations, epp_Status, epp_StatusOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class EPPStatus`
`extends EPPXMLBase`
`implements epp_Status`

$Header: /cvsroot/epp-rtk/epp-rtk/java/src/com/tucows/oxrs/epp0503/rtk/xml/EPPStatus.java,v 1.1 2003/03/21 16:18:22 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:18:22 $

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPStatus()`
  `EPPStatus(String xml)`

  ## Method Summary
  `void` | `fromXML(String xml)` Parses the status response XML.
  `epp_StatusRsp` | `getResponseData()` Accessor method for the domain info request data.
  `void` | `setRequestData(epp_StatusReq value)` Accessor method for the domain info request data.
  `String` | `toXML()` Builds request XML from the request data of the EPP command.

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Constructor Details

### EPPStatus

    public EPPStatus()

### EPPStatus

    public EPPStatus(String xml)
                throws epp_XMLException,
                       epp_Exception

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_XMLException,
                       epp_Exception

> Parses the status response XML.
> Specified by:
>   fromXML in interface epp_ActionOperations

### getResponseData

    public epp_StatusRsp getResponseData()

> Accessor method for the domain info request data. Must be set to for this command.
> Specified by:
>   getResponseData in interface epp_StatusOperations
> Returns:
>   epp_LoginRsp

### setRequestData

    public void setRequestData(epp_StatusReq value)

> Accessor method for the domain info request data. Must be set to for this command.
> Specified by:
>   setRequestData in interface epp_StatusOperations
> Parameters:
>   `value` - epp_LoginReq

### toXML

    public String toXML()
                throws epp_XMLException

> Builds request XML from the request data of the EPP command.
> Specified by:
>   toXML in interface epp_ActionOperations
> Returns:
>   the xml String.
> Throws:
>   `epp_XMLException` - if required data is missing.

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS